Option Explicit

Sub LogMessage(msg, fail)
      MsgBox msg
      if fail=True Then
        call Err.Raise(60001, "Verify install", msg)
      end if
End Sub

'Set Dimension 
DIM fso

'Set Object 
Set fso = CreateObject("Scripting.FileSystemObject")

dim scriptdir 
scriptdir = Session.Property("CustomActionData")

'Create Condition 
If (not fso.FileExists(scriptdir & "\config\master.xml")) Then
  If (fso.FileExists("C:\Program Files (x86)\Extreme Messaging\ResponseMaster\config\master.xml")) Then
    'Alert User 
    call LogMessage("config\master.xml was not found in target directory, but it was found in C:\Program Files (x86)\Extreme-Messaging\ResponseMaster, please rerun the install with the correct target directory", true) 
  else
    'Alert User but continue
    call LogMessage("config\master.xml was not found in target directory, but we are continuing the install.", false) 
  end if
end if


